<?php
/**
* Copyright © 2017 Filoblu S.r.l. All rights reserved.
 */

namespace FiloBlu\Esb\Helper;

use \Monolog\Handler\StreamHandler;

class LoggerProvider {

    /**
     * @var Monolog\Logger
     */
    protected $_logger;
 
    public function __construct(       
        \Magento\Framework\Filesystem $filesystem,
        $filename = 'filoblu_esb'
    ) {
        
        $channelName = 'esb';
        $this->_logger = new \Monolog\Logger($channelName);
        $vardir = $filesystem
            ->getDirectoryRead(\Magento\Framework\App\Filesystem\DirectoryList::VAR_DIR)
            ->getAbsolutePath();
 
        $this->_logger->pushHandler(new StreamHandler(
            $vardir . 'log' . DIRECTORY_SEPARATOR . basename($filename) . '.log'
        ));
    }
 
    public function getLogger()
    {
        return $this->_logger;
    }

}